org.eclipse.wst.jsdt.ui.wizards

## Interface IJsGlobalScopeContainerPageExtension2

All Known Implementing Classes:
  BaseLibraryWizardPage

    public interface IJsGlobalScopeContainerPageExtension2

Classpath container pages that implement `IJsGlobalScopeContainerPage` can optionally implement `IJsGlobalScopeContainerPageExtension2` to return more than one element when creating new containers. If implemented, the method `getNewContainers()` is used instead of the method `IJsGlobalScopeContainerPage.getSelection()` to get the newly selected containers. `IJsGlobalScopeContainerPage.getSelection()` is still used for edited elements. Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Method Summary

All Methods Instance Methods Abstract Methods
`IIncludePathEntry[]` `getNewContainers()` Method `getNewContainers()` is called instead of `IJsGlobalScopeContainerPage.getSelection()` to get the newly added containers.

### Method Detail

#### getNewContainers

    IIncludePathEntry[] getNewContainers()

Method `getNewContainers()` is called instead of `IJsGlobalScopeContainerPage.getSelection()` to get the newly added containers. `IJsGlobalScopeContainerPage.getSelection()` is still used to get the edited elements.

Returns:
  the classpath entries created on the page. All returned entries must be on kind `IIncludePathEntry.CPE_CONTAINER`